<?php
		
class vrclave1
{    

        var $idreturn;
        var $email;
	function vrclave1($docu,$idnum)
	{


		require('../cfg/res.php');	



		$sql_tabla='select *from docu0 where docu_codigo="'.$docu.'"';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		
		$sql_empr='select *from empr1';
		$res_empr=mysql_query($sql_empr,$link_vcrx);
		
		$docu_tabla=mysql_result($res_tabla,0,'docu_tabla');
		$docu_tabla=strtolower($docu_tabla);

		if (mb_stristr('clie',substr($_SESSION['user_vcrx_tipo'],0,4)))
		{
			if (substr($docu,0,1)=='O')
			{
			$docu_tabla='clie';
			}
	
			if (substr($docu,0,1)=='F')
			{
			$docu_tabla='vtas';
			}
		}

		if (mb_stristr('prov',substr($_SESSION['user_vcrx_tipo'],0,4)))
		{
			if (substr($docu,0,1)=='O')
			{
			$docu_tabla='prov';
			}
	
			if (substr($docu,0,1)=='F')
			{
			$docu_tabla='comp';
			}
			if (substr($docu,0,1)=='R')
			{
			$docu_tabla='retp';
			}
		}


		
		$sql_tran1='select *from '.$docu_tabla.'11 where idnum1="'.$idnum.'"';
		if (mb_stristr('clie.prov',substr($_SESSION['user_vcrx_empr'],0,4)))
		{
			$sql_tran1.='and enti like "'.$_SESSION['user_vcrx_empr'].'%"';
		}
		$res_tran1=mysql_query($sql_tran1,$link_vcrx);



$sql_empr='select * from empr0';
$res_empr=mysql_query($sql_empr,$link_vcrx);
$rucempr = mysql_result($res_empr,0,'empr_ruc');
$xambipru="1";
$xambipro="2";



$xambiente ="1"

$tipo_doce="";

if (mb_stristr('FC',substr($docu,0,2)))
{$tipo_doce="01";}



$sql_clave1='update '.$docu_tabla.' set claveacc=concat(fecha+"",'.$tipo_doce.'","'.$empr_ruc.'","'.$xambiente.'",ptoe,numero,"12345678","1",right(numero,1)) where idnum1="'.$idnum.'"';
$res_clave1=mysql_query($sql_clave1,$link_vcrx);




}
}
?>